import { Client, Event, Options } from '@amplitude/types';
export declare class NodeClient implements Client<Options> {
    /** Project Api Key */
    protected readonly _apiKey: string;
    /** Options for the client. */
    protected readonly _options: Options;
    /**
     * Initializes this client instance.
     *
     * @param apiKey API key for your project
     * @param options options for the client
     */
    constructor(apiKey: string, options: Options);
    /**
     * @inheritDoc
     */
    getOptions(): Options;
    /**
     * @inheritDoc
     */
    flush(): void;
    /**
     * @inheritDoc
     */
    logEvent(event: Event): void;
    /** Add platform dependent field onto event. */
    private _annotateEvent;
}
//# sourceMappingURL=nodeClient.d.ts.map